SELECT p.prod_name, sum(unit_cost)
FROM   costs c, products p
WHERE  c.prod_id = p.prod_id
AND    c.time_id >= TO_DATE('01-JAN-2000','DD-MON-YYYY')
AND    c.time_id < TO_DATE('01-JAN-2002','DD-MON-YYYY')
GROUP BY prod_name;

PROMPT **** However, the MV is generically STALE !!
SELECT mview_name, refresh_mode, refresh_method, staleness 
FROM   user_mviews
WHERE  mview_name like 'COSTS%';

PROMPT **** but it only works if you exactly hit the range boundaries
EXPLAIN PLAN FOR
SELECT COUNT(*) 
FROM (SELECT p.prod_name, sum(unit_cost)
      FROM costs c, products p
      WHERE c.prod_id = p.prod_id
      AND c.time_id >= TO_DATE('01-JAN-2000','DD-MON-YYYY')
      AND c.time_id < TO_DATE('02-JAN-2002','DD-MON-YYYY')
      GROUP BY prod_name
);

set linesize 120
SELECT * FROM TABLE(dbms_xplan.display);